Bug 99529 - Input field content is changed if another input field is inserted in front of it
Summary: Input field content is changed if another input field is inserted in front of it
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-27 11:30 UTC by Oliver Specht (CIB)
Modified: 2016-10-25 19:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Specht (CIB) 2016-04-27 11:30:18 UTC
Load bugdoc from bug 98512 and insert a field directly in front of the current one as described. 
->the text that you insert into the field dialog is also applied to the old field.

If a space is between the two field then the old value is not changed.
Comment 1 Michael Stahl (CIB) 2016-05-03 09:45:08 UTC
hilarious - this isn't even broken by the newfangled input fields, OOo 3.3 does that too!

fixed on master
Comment 2 Commit Notification 2016-05-03 09:45:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39d719a80d8c87856c84e3ecd569d45fa6f8a30e

tdf#99529 sw: don't pop up input field dialog before inserting field

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-05-04 11:45:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03d46490d753bdeaaa7685c9bb01c75e090cb939&h=libreoffice-5-1

tdf#99529 sw: don't pop up input field dialog before inserting field

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.